USE COWS
GO

update ml
SET ml.EVENT_ID = fme.EVENT_ID
--select  ml.EVENT_ID, fme.EVENT_ID, fme.FSA_MDS_EVENT_ID, ml.FSA_MDS_EVENT_ID
FROM MDS_EVENT_LOC ml 
	 INNER JOIN FSA_MDS_EVENT fme ON fme.FSA_MDS_EVENT_ID = ml.FSA_MDS_EVENT_ID


delete y from
MDS_EVENT_LOC y,
(select MDS_LOC_CAT_ID,MDS_LOC_TYPE_ID,MDS_LOC_NBR,MDS_LOC_RAS_DT,EVENT_ID, COUNT(*) as cnt
from dbo.MDS_EVENT_LOC with (nolock)
group by MDS_LOC_CAT_ID,MDS_LOC_TYPE_ID,MDS_LOC_NBR,MDS_LOC_RAS_DT,EVENT_ID
having COUNT(*) > 1) x
where y.EVENT_ID = x.EVENT_ID
  and y.MDS_LOC_CAT_ID = x.MDS_LOC_CAT_ID
  and y.MDS_LOC_NBR = x.MDS_LOC_NBR
  and y.MDS_LOC_RAS_DT = x.MDS_LOC_RAS_DT
  and y.MDS_LOC_TYPE_ID = x.MDS_LOC_TYPE_ID

